Bullet Collision Detection & Physics Library: btSolverConstraint Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
btSolverConstraint Struct Reference

1D constraint along a normal axis between bodyA and bodyB. It can be combined to solve contact and friction constraints. More...

`#include <btSolverConstraint.h>`

Collaboration diagram for btSolverConstraint:
[legend]

## Public Types
enum | btSolverConstraintType { BT_SOLVER_CONTACT_1D = 0 , BT_SOLVER_FRICTION_1D }

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()

## Public Attributes
btVector3 | m_relpos1CrossNormal
btVector3 | m_contactNormal1
btVector3 | m_relpos2CrossNormal
btVector3 | m_contactNormal2
btVector3 | m_angularComponentA
btVector3 | m_angularComponentB
btSimdScalar | m_appliedPushImpulse
btSimdScalar | m_appliedImpulse
btScalar | m_friction
btScalar | m_jacDiagABInv
btScalar | m_rhs
btScalar | m_cfm
btScalar | m_lowerLimit
btScalar | m_upperLimit
btScalar | m_rhsPenetration
union { |
void * m_originalContactPoint |
btScalar m_unusedPadding4 |
int m_numRowsForNonContactConstraint |
}; |  |
int | m_overrideNumSolverIterations
int | m_frictionIndex
int | m_solverBodyIdA
int | m_solverBodyIdB

## Detailed Description

1D constraint along a normal axis between bodyA and bodyB. It can be combined to solve contact and friction constraints.

Definition at line 29 of file btSolverConstraint.h.

## Member Enumeration Documentation

## ◆ btSolverConstraintType

enum btSolverConstraint::btSolverConstraintType

Enumerator
BT_SOLVER_CONTACT_1D |
BT_SOLVER_FRICTION_1D |

Definition at line 65 of file btSolverConstraint.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btSolverConstraint::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## Member Data Documentation

## ◆ [union]

union { ... } btSolverConstraint

## ◆ m_angularComponentA

btVector3 btSolverConstraint::m_angularComponentA

Definition at line 40 of file btSolverConstraint.h.

## ◆ m_angularComponentB

btVector3 btSolverConstraint::m_angularComponentB

Definition at line 41 of file btSolverConstraint.h.

## ◆ m_appliedImpulse

btSimdScalar btSolverConstraint::m_appliedImpulse
| mutable

Definition at line 44 of file btSolverConstraint.h.

## ◆ m_appliedPushImpulse

btSimdScalar btSolverConstraint::m_appliedPushImpulse
| mutable

Definition at line 43 of file btSolverConstraint.h.

## ◆ m_cfm

btScalar btSolverConstraint::m_cfm

Definition at line 49 of file btSolverConstraint.h.

## ◆ m_contactNormal1

btVector3 btSolverConstraint::m_contactNormal1

Definition at line 35 of file btSolverConstraint.h.

## ◆ m_contactNormal2

btVector3 btSolverConstraint::m_contactNormal2

Definition at line 38 of file btSolverConstraint.h.

## ◆ m_friction

btScalar btSolverConstraint::m_friction

Definition at line 46 of file btSolverConstraint.h.

## ◆ m_frictionIndex

int btSolverConstraint::m_frictionIndex

Definition at line 61 of file btSolverConstraint.h.

## ◆ m_jacDiagABInv

btScalar btSolverConstraint::m_jacDiagABInv

Definition at line 47 of file btSolverConstraint.h.

## ◆ m_lowerLimit

btScalar btSolverConstraint::m_lowerLimit

Definition at line 51 of file btSolverConstraint.h.

## ◆ m_numRowsForNonContactConstraint

int btSolverConstraint::m_numRowsForNonContactConstraint

Definition at line 57 of file btSolverConstraint.h.

## ◆ m_originalContactPoint

void* btSolverConstraint::m_originalContactPoint

Definition at line 55 of file btSolverConstraint.h.

## ◆ m_overrideNumSolverIterations

int btSolverConstraint::m_overrideNumSolverIterations

Definition at line 60 of file btSolverConstraint.h.

## ◆ m_relpos1CrossNormal

btVector3 btSolverConstraint::m_relpos1CrossNormal

Definition at line 34 of file btSolverConstraint.h.

## ◆ m_relpos2CrossNormal

btVector3 btSolverConstraint::m_relpos2CrossNormal

Definition at line 37 of file btSolverConstraint.h.

## ◆ m_rhs

btScalar btSolverConstraint::m_rhs

Definition at line 48 of file btSolverConstraint.h.

## ◆ m_rhsPenetration

btScalar btSolverConstraint::m_rhsPenetration

Definition at line 53 of file btSolverConstraint.h.

## ◆ m_solverBodyIdA

int btSolverConstraint::m_solverBodyIdA

Definition at line 62 of file btSolverConstraint.h.

## ◆ m_solverBodyIdB

int btSolverConstraint::m_solverBodyIdB

Definition at line 63 of file btSolverConstraint.h.

## ◆ m_unusedPadding4

btScalar btSolverConstraint::m_unusedPadding4

Definition at line 56 of file btSolverConstraint.h.

## ◆ m_upperLimit

btScalar btSolverConstraint::m_upperLimit

Definition at line 52 of file btSolverConstraint.h.

The documentation for this struct was generated from the following file:

- btSolverConstraint.h